Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

user_identity_id
string<uuid>

ID of the user identity for which you want to retrieve all access system users.

user_identity_phone_number
string | null

Phone number of the user identity for which you want to retrieve all access system users, in E.164 format (for example, +15555550100). Specify null to retrieve access system users whose user identity has no phone number.

user_identity_email_address
string | null

Email address of the user identity for which you want to retrieve all access system users. Specify null to retrieve access system users whose user identity has no email address.

acs_system_id
string<uuid>

ID of the acs_system for which you want to retrieve all access system users.

String for which to search. Filters returned access system users to include all records that satisfy a partial match using full_name, phone_number, email_address, acs_user_id, user_identity_id, user_identity_full_name or user_identity_phone_number.

Minimum string length: 1
limit
integer
default:500

Maximum number of records to return per page.

Required range: x > 0
created_before
string<date-time>

Timestamp by which to limit returned access system users. Returns users created before this timestamp.

page_cursor
string | null

Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.

Response

OK

acs_users
object[]
required
pagination
object
required

Information about the current page of results.